Package Details: rtl8821cu-raspberrypi-git 5.2.5.3_24795.20171031.r18.g0278eaa-1

Git Clone URL: https://aur.archlinux.org/rtl8821cu-raspberrypi-git.git (read-only, click to copy)
Package Base: rtl8821cu-raspberrypi-git
Description: rtl8821cu chipset driver
Upstream URL: https://github.com/whitebatman2/rtl8821CU
Licenses: GPL2
Conflicts: rtl8821cu
Submitter: enno
Maintainer: enno
Last Packager: enno
Votes: 0
Popularity: 0.000000
First Submitted: 2018-11-22 10:57
Last Updated: 2018-11-22 10:57

Dependencies (3)

Required by (0)

Sources (1)

Latest Comments

uberGeek commented on 2019-09-28 00:29

When attaching my wifi adapter I only get the following in dmesg & log:

8821cu: version magic '4.19.75-1-ARCH SMP preempt mod_unload ARMv6 p2v8 ' should be '4.19.75-1-ARCH SMP preempt mod_unload ARMv7 p2v8 '

Thank you.

enno commented on 2018-11-22 11:01

This package is intended to be used with Arch Linux ARM using the RPi 2 image (armv7h). This works also fine on RPi 3 if you use that armv7h architecture on it. AFAIK, aarch64 (on RPi 3) is currently not possible to compile, since there is no headers package for aarch64 available in the Arch Linux ARM repo.

Don't worry that the "linux-raspberrypi-headers" package is marked as red (not available) in the AUR dependencies list. It is available for armv7h in the Arch Linux ARM repo.

Best, Enno